unit Unit7;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.REST, Vcl.StdCtrls, WEBLib.StdCtrls,
  Vcl.Controls, WEBLib.Slider, WEBLib.JSON, WEBLib.ExtCtrls,
  Vcl.Imaging.pngimage, StrUtils;

type
  TForm7 = class(TWebForm)
    WebHttpRequest1: TWebHttpRequest;
    WebResponsiveGridPanel2: TWebResponsiveGridPanel;
    WebImageSlider1: TWebImageSlider;
    WebButton1: TWebButton;
    [async]
    webEditFilter: TWebEdit;
    webButtonFilter: TWebButton;
    WebMemo1: TWebMemo;  procedure WebHttpRequest1RequestResponse(Sender: TObject;
      ARequest: TJSXMLHttpRequestRecord; AResponse: string);
    procedure WebFormCreate(Sender: TObject);
    procedure WebFormShow(Sender: TObject);
    [async]  procedure WebButton1Click(Sender: TObject);
    procedure webButtonFilterClick(Sender: TObject);
    procedure webEditFilterKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
    jArray : TJSONArray;
  end;

var
  Form7: TForm7;

implementation

{$R *.dfm}



procedure TForm7.WebButton1Click(Sender: TObject);
var
req: TJSXMLHttpRequest;
begin
        WebImageSlider1.ImageURLs.Clear;
        WebHttpRequest1.URL := 'https://www.toolfolks.com/docs/files2.php';
          try
            req := await(TJSXMLHttpRequest, WebHttpRequest1.Perform());

          except
            // handle

          end;


end;

procedure TForm7.webButtonFilterClick(Sender: TObject);
var
i: integer;
  json: TJSON;
  jobject: TJSONObject;
  filter, jpgString : String;
  filteredArray : TJSONArray;
  begin
    WebImageSlider1.ImageURLs.Clear;
    json := TJSON.Create;
    filter := webEditFilter.text;
    filter := filter.ToLower;
    if filter = '' then
    begin

  try
    //jArray := TJSONArray(json.Parse(AResponse));
    for i := 0 to jArray.Count - 1 do
    begin
    jobject := TJSONObject(jarray.Items[i]);
    //if jobject.GetJSONValue('Picture') = filter then

        WebImageSlider1.ImageURLs.Add( 'https://www.toolfolks.com/docs/'+jobject.GetJSONValue('Picture')) ;


  end; // for i
  finally
    json.Free;

  end;
    end

  else

  try
    //jArray := TJSONArray(json.Parse(AResponse));
    for i := 0 to jArray.Count - 1 do
    begin
    jobject := TJSONObject(jarray.Items[i]);
    //if jobject.GetJSONValue('Picture') = filter then
    jpgString := jobject.GetJSONValue('Picture');
    jpgString := jpgString.ToLower;

    if jpgString.Contains(filter) then

    begin
        // add to new array

        WebImageSlider1.ImageURLs.Add( 'https://www.toolfolks.com/docs/'+jobject.GetJSONValue('Picture')) ;
    end;


  end; // for i
  finally
    json.Free;

  end;
    WebImageSlider1.RefreshImages;

end;

procedure TForm7.webEditFilterKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
        webButtonFilter.Click;
end;

procedure TForm7.WebFormCreate(Sender: TObject);
var
req: TJSXMLHttpRequest;
begin
       // WebImageSlider1.ImageURLs.Clear;
      //  WebHttpRequest1.URL := 'https://www.toolfolks.com/docs/files2.php';
    //      try
   // req := await(TJSXMLHttpRequest, WebHttpRequest1.Perform());

 // except
  // handle

    //      end;

end;

procedure TForm7.WebFormShow(Sender: TObject);
var
req: TJSXMLHttpRequest;
begin
//        WebImageSlider1.ImageURLs.Clear;
//        WebHttpRequest1.URL := 'https://www.toolfolks.com/docs/files2.php';
//          try
//    req := await(TJSXMLHttpRequest, WebHttpRequest1.Perform());
//
//  except
//  // handle
//
//          end;

end;

procedure TForm7.WebHttpRequest1RequestResponse(Sender: TObject;
  ARequest: TJSXMLHttpRequestRecord; AResponse: string);
var
  i: integer;
  json: TJSON;
  jobject: TJSONObject;
  begin
    WebImageSlider1.ImageURLs.Clear;
    json := TJSON.Create;
  try
    jArray := TJSONArray(json.Parse(AResponse));
    for i := 0 to jArray.Count - 1 do
    begin
    jobject := TJSONObject(jarray.Items[i]);
    WebMemo1.Lines.Add(jobject.GetJSONValue('Picture')) ;
   // WebImageSlider1.ImageURLs.Add( 'https://www.toolfolks.com/docs/'+jobject.GetJSONValue('Picture')) ;
  end; // for i
  finally
    json.Free;

  end;
    WebImageSlider1.RefreshImages;
end;


end.